
Процедура ОбработкаПроведения(Отказ, Режим)
	//{{__КОНСТРУКТОР_ДВИЖЕНИЙ_РЕГИСТРОВ
	// Данный фрагмент построен конструктором.
	// При повторном использовании конструктора, внесенные вручную изменения будут утеряны!!!

	// регистр ИсторияСостоянийНоменклатуры
	Отбор = Новый Структура("Номенклатура", Номенклатура);
	ТекущееСостояние = РегистрыСведений.ИсторияСостоянийНоменклатуры.ПолучитьПоследнее(Дата, Отбор).Состояние;
	Если ТекущееСостояние <> Перечисления.СостояниеНоменклатуры.НаСкладе Тогда
		Отказ = Истина;
		Сообщить("Выбранный велосипед не может быть выдан!");
		Возврат;
	КонецЕсли;
	Движения.ИсторияСостоянийНоменклатуры.Записывать = Истина;
	Движение = Движения.ИсторияСостоянийНоменклатуры.Добавить();
	Движение.Период = Дата;
	Движение.Номенклатура = Номенклатура;
	Движение.Состояние = Перечисления.СостояниеНоменклатуры.Выдан;
	Движение.Клиент = Клиент;

	//}}__КОНСТРУКТОР_ДВИЖЕНИЙ_РЕГИСТРОВ
КонецПроцедуры
